graphics/librsvg-c - The NetBSD Packages Collection

SVG library for GNOME (2.40.xx branch, C only)

librsvg is Raph's scalable vector graphics library.  It provides support for
SVG graphics, and is used by the GNOME desktop.

This package provides the librsvg library as well as some addons -- a pixbuf
loader and a theme engine -- for the GTK+ toolkit.

This package provides the older 2.40.x branch of librsvg that is written
in plain C.

Build dependencies

pkgtools/x11-links devel/gobject-introspection x11/xorgproto x11/xcb-proto graphics/cairo-gobject pkgtools/cwrappers devel/gobject-introspection graphics/cairo-gobject devel/glib2-tools devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

devel/glib2 devel/glib2 devel/pango devel/pango fonts/fontconfig fonts/fontconfig graphics/freetype2 graphics/freetype2 graphics/cairo graphics/cairo graphics/gdk-pixbuf2 textproc/libcroco textproc/libcroco textproc/libxml2 textproc/libxml2 devel/glib2 devel/pango fonts/fontconfig graphics/cairo graphics/gdk-pixbuf2 textproc/libcroco textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibrsvg-2.40.21nb5.tgz
NetBSD 8.0earmv7hflibrsvg-2.40.21nb4.tgz
NetBSD 8.0earmv7hflibrsvg-2.40.21nb5.tgz
NetBSD 8.0i386librsvg-2.40.21nb4.tgz
NetBSD 8.0i386librsvg-2.40.21nb5.tgz
NetBSD 8.0i386librsvg-2.40.21nb5.tgz
NetBSD 8.0powerpclibrsvg-2.40.21nb4.tgz
NetBSD 8.0powerpclibrsvg-2.40.21nb5.tgz
NetBSD 8.0powerpclibrsvg-2.40.21nb5.tgz
NetBSD 8.0x86_64librsvg-2.40.21nb4.tgz
NetBSD 8.0x86_64librsvg-2.40.21nb5.tgz
NetBSD 9.0aarch64librsvg-2.40.21nb5.tgz
NetBSD 9.0aarch64librsvg-2.40.21nb4.tgz
NetBSD 9.0aarch64librsvg-2.40.21nb5.tgz
NetBSD 9.0alphalibrsvg-2.40.21nb5.tgz
NetBSD 9.0alphalibrsvg-2.40.21nb4.tgz
NetBSD 9.0alphalibrsvg-2.40.21nb5.tgz
NetBSD 9.0earmv6hflibrsvg-2.40.21nb5.tgz
NetBSD 9.0earmv6hflibrsvg-2.40.21nb4.tgz
NetBSD 9.0earmv6hflibrsvg-2.40.21nb5.tgz
NetBSD 9.0earmv6hflibrsvg-2.40.21nb5.tgz
NetBSD 9.0earmv7hflibrsvg-2.40.21nb5.tgz
NetBSD 9.0earmv7hflibrsvg-2.40.21nb4.tgz
NetBSD 9.0earmv7hflibrsvg-2.40.21nb5.tgz
NetBSD 9.0earmv7hflibrsvg-2.40.21nb5.tgz
NetBSD 9.0i386librsvg-2.40.21nb4.tgz
NetBSD 9.0i386librsvg-2.40.21nb5.tgz
NetBSD 9.0i386librsvg-2.40.21nb5.tgz
NetBSD 9.0m68klibrsvg-2.40.21nb5.tgz
NetBSD 9.0m68klibrsvg-2.40.21nb4.tgz
NetBSD 9.0m68klibrsvg-2.40.21nb5.tgz
NetBSD 9.0mips64eblibrsvg-2.40.21nb5.tgz
NetBSD 9.0mips64eblibrsvg-2.40.21nb4.tgz
NetBSD 9.0mips64eblibrsvg-2.40.21nb5.tgz
NetBSD 9.0powerpclibrsvg-2.40.21nb5.tgz
NetBSD 9.0powerpclibrsvg-2.40.21nb4.tgz
NetBSD 9.0sparc64librsvg-2.40.21nb5.tgz
NetBSD 9.0sparc64librsvg-2.40.21nb4.tgz
NetBSD 9.0sparc64librsvg-2.40.21nb5.tgz
NetBSD 9.0sparclibrsvg-2.40.21nb4.tgz
NetBSD 9.0x86_64librsvg-2.40.21nb5.tgz
NetBSD 9.0x86_64librsvg-2.40.21nb5.tgz
NetBSD 9.0x86_64librsvg-2.40.21nb5.tgz
NetBSD 9.0x86_64librsvg-2.40.21nb4.tgz
NetBSD 9.0x86_64librsvg-2.40.21nb5.tgz
NetBSD 9.0x86_64librsvg-2.40.21nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

introspection
Enable GObject Introspection support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.